<?php
#-------------------------------------------------------------------------
# Module: FRTaxes - A simple example frontend form module
# Version: 1.0, calguy1000 <calguy1000@hotmail.com>
#
#-------------------------------------------------------------------------
# CMS - CMS Made Simple is (c) 2005 by Ted Kulp (wishy@cmsmadesimple.org)
# This project's homepage is: http://www.cmsmadesimple.org
# The module's homepage is: http://dev.cmsmadesimple.org/projects/skeleton/
#
#-------------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
# Or read it online: http://www.gnu.org/licenses/licenses.html#GPL
#
#-------------------------------------------------------------------------

class FRTaxes extends CGExtensions
{
  function GetFriendlyName() { return $this->Lang('friendlyname'); }
  function GetVersion() { return '1.3'; }
  function GetHelp() { return $this->Lang('help'); }
  function GetChangeLog() { return $this->Lang('changelog'); }
  function IsPluginModule() { return false; }
  function HasAdmin() { return true; }
  function GetAdminSection() { return 'ecommerce'; }
  function GetAdminDescription() { return $this->Lang('moddescription'); }
  function GetDependencies() { return [ 'CGExtensions'=>'1.56', 'CGEcommerceBase'=>'1.8.3' ]; }
  function MinimumCMSVersion() { return '2.2.2'; }
  function InstallPostMessage() { return $this->Lang('postinstall'); }
  function UninstallPostMessage() { return $this->Lang('postuninstall'); }
  function UninstallPreMessage() { return $this->Lang('really_uninstall'); }
  function IsTaxModule() { return TRUE; }
  function LazyLoadAdmin() { return TRUE; }
  function LazyLoadFrontend() { return TRUE; }
  function VisibleToAdminUser() { return $this->CheckPermission('Modify Site Preferences'); }

  public function &get_tax_calculator()
  {
      if( !$this->_helper ) $this->_helper = new \FRTaxes\tax_calculator( $this );
      return $this->_helper;
  }

} // class
